Add a Lead in Lead List

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request POST \
     --url https://api-smartflo.tatateleservices.com/v1/broadcast/lead/id \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Path Params)

The following parameter is required to add a lead in lead list:

Variable NameDescriptionData Type
idUnique ID of the active broadcast.String

Request Variables (Body Params)

The following parameter is required to add a lead in lead list:

Variable NameDescriptionData Type
field_0*Phone number of the lead.Integer
filed_1Name of the lead.String
field_2Email of the lead.String
field_3Address of the lead.String
field_4Company name of the lead.String
field_5Custom Field 1.String
field_6Custom Field 2.String
field_7Custom Field 3.String
field_8Custom Field 4.String
field_9Custom Field 5.String
field_10Custom Field 6.String
field_11Custom Field 7.String
duplicate_optionIt will either allow or prevent the entry of duplicate records. If the number already exists and the following values are passed:
"skip": The system will not create a new entry for the lead.
"overwrite": The system will update the existing entry with the new details.
"clone": The system will create a new entry for the lead.
String
priority

This variable allows you to set the priority of a lead, with a minimum value of 1 and a maximum value of 30.

Note : Priority should be between 1 and 30 where 30 is highest and 1 is lowest.

integer
skill_idUnique identifier representing the assigned skillString

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Path Params
string
required
Body Params
string
required
string
string
string
string
string
string
string
string
string
string
string
string
int32
string
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json